Bug 239111

Summary: net-p2p/go-ethereum: Update to 1.9.0
Product: Ports & Packages Reporter: Enrique Fynn <me>
Component: Individual Port(s)Assignee: Kai Knoblich <kai>
Status: Closed FIXED    
Severity: Affects Many People CC: kai, me
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://blog.ethereum.org/2019/07/10/geth-v1-9-0/
Attachments:
Description Flags
go-ethereum-1.9.0.diff
me: maintainer-approval+
go-ethereum-1.9.0-with-pkg-message.patch me: maintainer-approval+

Description Enrique Fynn 2019-07-10 12:57:35 UTC
Created attachment 205656 [details]
go-ethereum-1.9.0.diff

- Remove the need of a patch:
    Freebsd changes applied to codebase
- Remove swarm binary
- Add clef binary

Various performance upgrades on the release
Comment 1 Kai Knoblich freebsd_committer 2019-07-21 17:03:20 UTC
Created attachment 205972 [details]
go-ethereum-1.9.0-with-pkg-message.patch

(In reply to Enrique Fynn from comment #0)

Hi Enrique,

thank you for the patch. It builds all fine and I've only one question / suggestion:

Maybe it makes sense to add a pkg-message that contains the warning given from the URL of the Ethereum blog (see the URL field)? This would advise users that are upgrading from version earlier than 1.9.0 to take care about the database.

I've attached a patch that contains your patch together with a pkg-message that gives some info about the update.
Comment 2 Enrique Fynn 2019-07-22 08:57:25 UTC
Thank you so much Kai,
I think is great to have a message about the database changes.
I'll be more careful about it.
Comment 3 commit-hook freebsd_committer 2019-07-22 11:36:48 UTC
A commit references this bug:

Author: kai
Date: Mon Jul 22 11:36:11 UTC 2019
New revision: 507138
URL: https://svnweb.freebsd.org/changeset/ports/507138

Log:
  net-p2p/go-ethereum: Update to 1.9.0

  * Remove no longer required patch "fdlimit_freebsd.go" as those changes have
    been merged by upstream.
  * Add a pkg-message to give users some advice when upgrading from releases
    lower than 1.9.0. [1]

  Changelog:

  https://github.com/ethereum/go-ethereum/releases/tag/v1.9.0

  PR:		239111
  Submitted by:	Enrique Fynn <me@enriquefynn.com> (maintainer)
  Approved by:	Enrique Fynn (maintainer) [1]

Changes:
  head/net-p2p/go-ethereum/Makefile
  head/net-p2p/go-ethereum/distinfo
  head/net-p2p/go-ethereum/files/
  head/net-p2p/go-ethereum/pkg-message
  head/net-p2p/go-ethereum/pkg-plist
Comment 4 Kai Knoblich freebsd_committer 2019-07-22 11:48:35 UTC
(In reply to Enrique Fynn from comment #2)

Hi Enrique, thank you for the approval and closing this PR. :)